This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 235381 - Review Request: libtwin - Tiny Window System
Review Request: libtwin - Tiny Window System
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Package Reviews List
:
: 235380 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 10:52 EDT by David Woodhouse
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 09:55:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-04-05 10:52:20 EDT
Spec URL: http://david.woodhou.se/petitboot/libtwin.spec
SRPM URL: http://david.woodhou.se/petitboot/libtwin-0.0.2-1.fc7.src.rpm
Description:
With embedded systems gaining high resolution displays and powerful
cpus, the desire for sophisticated graphical user interfaces can be
realized in even the smallest of systems. While the cpupower available
for a given power budget has increased dramatically, these tiny
systems remain severely memory constrained. This unique environment
presents interesting challenges in graphical system design and
implementation. To explore this particular space, a new window system,
Twin, has been developed. Using ideas from modern window systems in
larger environments, Twin offers overlapping translucent windows,
anti-aliased graphics and scalable fonts in a total memory budget of
100KB.
Comment 1 David Woodhouse 2007-04-05 10:53:33 EDT
*** Bug 235380 has been marked as a duplicate of this bug. ***
Comment 2 David Woodhouse 2007-04-05 14:22:45 EDT
Spec URL: http://david.woodhou.se/petitboot/libtwin.spec
SRPM URL: http://david.woodhou.se/petitboot/libtwin-0.0.2-2.fc7.src.rpm

* Thu Apr  5 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-2
- Fix non-HAVE_ALTIVEC build

Comment 3 Josh Boyer 2007-04-05 14:32:37 EDT
Good must items:

- rpmlint runs clean
- meets naming guidelines
- spec file matches base name
- meets packaging guidelines
- license field matches actual license
- license %doc
- plain english, legible 
- source matches upstream
- builds
- dependencies in BuildRequires
- runs ldconfig
- no duplicate files
- proper file permissions
- proper macro use
- contains appropriate %clean
- all the devel package things are handled correctly
- contains no .la files

APPROVED
Comment 4 Josh Boyer 2007-04-05 15:55:52 EDT
New Package CVS Request
=======================
Package Name: libtwin
Short Description: Tiny Window System
Owners: dwmw2@redhat.com
Branches: 
InitialCC: jwboyer@jdub.homelinux.org
Comment 5 Josh Boyer 2007-04-05 16:06:54 EDT
done

Note You need to log in before you can comment on or make changes to this bug.